require "rttlib"

tc=rtt.getTC()
d=tc:getPeer("deployer")
output = rtt.OutputPort("string")
d:addPort(output, "out_port", "Event Generator for the state machine")

d:import("ocl")
d:loadComponent("Supervisor", "OCL::LuaComponent")
sup = d:getPeer("Supervisor")

sup:exec_file("/home/aviator/orocos_test/StateMachineTest/fsm_launch.lua")
sup:configure()

-- make a new connection policy and connect the deployer output port to the state machine
cp=rtt.Variable("ConnPolicy")
cp.type =0
d:connect("deployer.out_port", "Supervisor.events", cp)

rtt.logl("Info", "Deployment complete !")
--cmd=rttlib.port_clone_conn(sup:getPort("events"))


